gtk-0.12.0: Binding to the Gtk+ graphical user interface library.

Portability | portable (depends on GHC)
Stability | provisional
Maintainer | gtk2hs-users@lists.sourceforge.net

Graphics.UI.Gtk.MenuComboToolbar.RadioMenuItem

Contents

- Detail
- Class Hierarchy
- Types
- Constructors
- Compatibilty aliases

Description

A choice from multiple check menu items

Synopsis

- data RadioMenuItem
- class CheckMenuItemClass o => RadioMenuItemClass o
- castToRadioMenuItem :: GObjectClass obj => obj -> RadioMenuItem
- gTypeRadioMenuItem :: GType
- toRadioMenuItem :: RadioMenuItemClass o => o -> RadioMenuItem
- radioMenuItemNew :: IO RadioMenuItem
- radioMenuItemNewWithLabel :: String -> IO RadioMenuItem
- radioMenuItemNewWithMnemonic :: String -> IO RadioMenuItem
- radioMenuItemNewFromWidget :: RadioMenuItem -> IO RadioMenuItem
- radioMenuItemNewWithLabelFromWidget :: RadioMenuItem -> String -> IO RadioMenuItem
- radioMenuItemNewWithMnemonicFromWidget :: RadioMenuItem -> String -> IO RadioMenuItem
- radioMenuItemNewJoinGroup :: RadioMenuItem -> IO RadioMenuItem
- radioMenuItemNewJoinGroupWithLabel :: RadioMenuItem -> String -> IO RadioMenuItem
- radioMenuItemNewJoinGroupWithMnemonic :: RadioMenuItem -> String -> IO RadioMenuItem

# Detail

A radio menu item is a check menu item that belongs to a group. At each instant exactly one of the radio menu items from a group is selected.

# Class Hierarchy

     | GObject
     | +----Object
     | +----Widget
     | +----Container
     | +----Bin
     | +----Item
     | +----MenuItem
     | +----CheckMenuItem
     | +----RadioMenuItem

# Types

data RadioMenuItem

class CheckMenuItemClass o => RadioMenuItemClass o

castToRadioMenuItem :: GObjectClass obj => obj -> RadioMenuItem

gTypeRadioMenuItem :: GType

toRadioMenuItem :: RadioMenuItemClass o => o -> RadioMenuItem

# Constructors

radioMenuItemNew :: IO RadioMenuItem

Creates a new `RadioMenuItem`.

radioMenuItemNewWithLabel :: String -> IO RadioMenuItem

Creates a new `RadioMenuItem` whose child is a simple `Label`.

radioMenuItemNewWithMnemonic :: String -> IO RadioMenuItem

Creates a new `RadioMenuItem` containing a label. The label will be created using `labelNewWithMnemonic`, so underscores in `label` indicate the mnemonic for the menu item.

radioMenuItemNewFromWidget

Arguments

:: RadioMenuItem | `groupMember` - a member of an existing radio button group, to which the new radio button will be added.
-> IO RadioMenuItem |

Create a new radio button, adding it to the same group as the group to which `groupMember` belongs.

radioMenuItemNewWithLabelFromWidget

Arguments

:: RadioMenuItem | `groupMember` - a member of an existing radio button group, to which the new radio button will be added.
-> String |
-> IO RadioMenuItem |

Create a new radio button with a label, adding it to the same group as the group to which `groupMember` belongs.

radioMenuItemNewWithMnemonicFromWidget :: RadioMenuItem -> String -> IO RadioMenuItem

Create a new radio button with a label and attach it to the group of another radio button. Underscores in the label string indicate the mnemonic for the menu item.

# Compatibilty aliases

radioMenuItemNewJoinGroup :: RadioMenuItem -> IO RadioMenuItem

radioMenuItemNewJoinGroupWithLabel :: RadioMenuItem -> String -> IO RadioMenuItem

radioMenuItemNewJoinGroupWithMnemonic :: RadioMenuItem -> String -> IO RadioMenuItem